feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.FFI

# Documentation

data FFI a where

Constructors

ForeignImport :: Type (DenResult a) => String -> Denotation a -> FFI a |

Instances

EvalBind FFI |
Semantic FFI |
Eval FFI |
Render FFI |
ToTree FFI |
Equality FFI |
Sharable FFI |
AlphaEq dom dom dom env => AlphaEq FFI FFI dom env |
SizeProp (:|| FFI Type) |
(:<: (:|| FFI Type) dom, OptimizeSuper dom) => Optimize (:|| FFI Type) dom |